{ self, system, inputs }: {
  nodes = {
    "test_${system}" = {
      hostname = "vproxy-test";
      fastConnection = true;
      profilesOrder = [ "system" ];
      sshOpts = [ ];
      profiles."system" = {
        sshUser = "root";
        path = inputs.deploy-rs.lib.${system}.activate.nixos
          self.nixosConfigurations."test_${system}";
        user = "root";
      };
    };
    "master_${system}" = {
      hostname = "vproxy-test";
      fastConnection = true;
      profilesOrder = [ "system" ];
      sshOpts = [ ];
      profiles."system" = {
        sshUser = "root";
        path = inputs.deploy-rs.lib.${system}.activate.nixos
          self.nixosConfigurations."master_${system}";
        user = "root";
      };
    };
    "proxy_${system}" = {
      hostname = "vproxy-polka";
      fastConnection = true;
      profilesOrder = [ "system" ];
      sshOpts = [ ];
      profiles."system" = {
        sshUser = "root";
        path = inputs.deploy-rs.lib.${system}.activate.nixos
          self.nixosConfigurations."proxy_${system}";
        user = "root";
      };
    };
  };
}
